<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage spiral-notebook
 * @since spiral-notebook 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php echo esc_attr( bloginfo( 'charset' ) ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="<?php echo esc_url( 'http://gmpg.org/xfn/11' ); ?>">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php echo esc_url(bloginfo( 'pingback_url' )); ?>">
	<?php endif; ?>

	<?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>
<?php //wp_body_open hook if WordPress 5.2
    if ( function_exists( 'wp_body_open' ) ) { wp_body_open(); } ?>
<a class="skip-link screen-reader-text" href="<?php echo esc_url('#content'); ?>">
<?php esc_html_e( 'Skip to content', 'spiral-notebook' ); ?></a>

	<div id="content-wrapper">

		<header>
			<nav class="navbar navbar-default navbar-static-top">
				<div class="container">

					<div class="navbar-header">
                    
						<?php if ( has_nav_menu("primary") ): ?>
						<button type="button"
                                class="navbar-toggle collapsed"
                                data-toggle="collapse"
                                data-target="#navbar-responsive-collapse">
		    				<span class="sr-only screen-reader-text">
                            <?php esc_html_e('Navigation', 'spiral-notebook'); ?></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
						</button>
						<?php endif ?>
						
					</div>

					<div id="navbar-responsive-collapse" class="collapse navbar-collapse">

	    <?php
            wp_nav_menu( array(
                'menu'              => 'primary',
                'theme_location'    => 'primary',
                'depth'             => absint(4),
                'container_id'      => 'spiral-notebook-navbar-collapse',
                'menu_class'        => 'nav navbar-nav',
                'fallback_cb'       => 'wp_page_menu()',
                'walker'            => new WP_Bootstrap_Navwalker()
                )
            );
        ?>

					</div>
				</div>
			</nav>
		</header>

    <?php get_template_part('spiral'); ?><div class="clearfix"></div>

		<div id="page-content"><!-- ends in footer -->
			<div class="container">

                <div class="header-details-container">

                    <ul class="list-unstyled">
                    <li class="site-title"><a
                        href="<?php echo esc_url( home_url( '/' ) ); ?>"
                        title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>">
                        <?php echo esc_html( bloginfo('name') ); ?></a>
                    </li>
                    <li class="site-description">
                        <?php echo esc_html( bloginfo('description') ); ?>
                    </li>
                    </ul>

                </div>
